# PSF-LoginServer - master - net.psforever.objects.guid.key.LoanedKey
PSF - LoginServer - master - net.psforever.objects.guid.key.LoanedKey
Keywords: PSF LoginServer master net.psforever.objects.guid.key.LoanedKey

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package key
  Definition Classes
    guid
- LoanedKey
- Monitor
- SecureKey

c

net.psforever.objects.guid.key

# LoanedKey

###

#### class LoanedKey extends AnyRef

The only indirect public access a queued number monitor object (`Key`) is allowed.

Source
  LoanedKey.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoanedKey
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LoanedKey(guid: Int, key: Monitor)

   guid

     the GUID represented by this indirect key

   key

     a private reference to the original key

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def GUID: Int
5.  def Object: Option[IdentifiableEntity]
6.  def Object_=(obj: Option[IdentifiableEntity]): Option[IdentifiableEntity]

   na

   na

   obj

     the object that should hold this GUID

   returns

     `true`, if the assignment worked; `false`, otherwise

7.  def Object_=(obj: IdentifiableEntity): Option[IdentifiableEntity]

   na

   na

   obj

     the object that should hold this GUID

   returns

     `true`, if the assignment worked; `false`, otherwise

8.  def Policy: AvailabilityPolicy.Value
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped